# Uses of Class
org.springframework.asm.ClassVisitor

Packages that use ClassVisitor
Package
Description
org.springframework.asm
Spring's repackaging of ASM 9.x (with Spring-specific patches; for internal use only).
org.springframework.cglib.beans
Spring's repackaging of the CGLIB beans package (for internal use only).
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).
org.springframework.cglib.proxy
Spring's repackaging of the CGLIB proxy package (for internal use only).
org.springframework.cglib.reflect
Spring's repackaging of the CGLIB reflect package (for internal use only).
org.springframework.cglib.transform
Spring's repackaging of the CGLIB transform package (for internal use only).
org.springframework.cglib.transform.impl
Spring's repackaging of the CGLIB transform impl package (for internal use only).
org.springframework.cglib.util
Spring's repackaging of the CGLIB util package (for internal use only).

## Uses of ClassVisitor in org.springframework.asm

Subclasses of ClassVisitor in org.springframework.asm
Modifier and Type
Class
Description
`class`
`ClassWriter`
A `ClassVisitor` that generates a corresponding ClassFile structure, as defined in the Java Virtual Machine Specification (JVMS).
Fields in org.springframework.asm declared as ClassVisitor
Modifier and Type
Field
Description
`protected ClassVisitor`
ClassVisitor.`cv`
The class visitor to which this visitor must delegate method calls.
Methods in org.springframework.asm that return ClassVisitor
Modifier and Type
Method
Description
`ClassVisitor`
ClassVisitor.`getDelegate()`
The class visitor to which this visitor must delegate method calls.
Methods in org.springframework.asm with parameters of type ClassVisitor
Modifier and Type
Method
Description
`void`
ClassReader.`accept(ClassVisitor classVisitor, int parsingOptions)`
Makes the given visitor visit the JVMS ClassFile structure passed to the constructor of this `ClassReader`.
`void`
ClassReader.`accept(ClassVisitor classVisitor, Attribute[] attributePrototypes, int parsingOptions)`
Makes the given visitor visit the JVMS ClassFile structure passed to the constructor of this `ClassReader`.
Constructors in org.springframework.asm with parameters of type ClassVisitor
Modifier
Constructor
Description
`protected`
`ClassVisitor(int api, ClassVisitor classVisitor)`
Constructs a new `ClassVisitor`.

## Uses of ClassVisitor in org.springframework.cglib.beans

Methods in org.springframework.cglib.beans with parameters of type ClassVisitor
Modifier and Type
Method
Description
`void`
BeanCopier.Generator.`generateClass(ClassVisitor v)`
`void`
BeanGenerator.`generateClass(ClassVisitor v)`
`void`
BeanMap.Generator.`generateClass(ClassVisitor v)`
`void`
BulkBean.Generator.`generateClass(ClassVisitor v)`
`void`
ImmutableBean.Generator.`generateClass(ClassVisitor v)`

## Uses of ClassVisitor in org.springframework.cglib.core

Subclasses of ClassVisitor in org.springframework.cglib.core
Modifier and Type
Class
Description
`class`
`ClassEmitter`
`class`
`ClassTransformer`
`class`
`DebuggingClassWriter`
Methods in org.springframework.cglib.core with parameters of type ClassVisitor
Modifier and Type
Method
Description
`void`
ClassGenerator.`generateClass(ClassVisitor v)`
`void`
KeyFactory.Generator.`generateClass(ClassVisitor v)`
`void`
ClassEmitter.`setTarget(ClassVisitor cv)`
`abstract void`
ClassTransformer.`setTarget(ClassVisitor target)`
Constructors in org.springframework.cglib.core with parameters of type ClassVisitor
Modifier
Constructor
Description
``
`ClassEmitter(ClassVisitor cv)`

## Uses of ClassVisitor in org.springframework.cglib.proxy

Methods in org.springframework.cglib.proxy with parameters of type ClassVisitor
Modifier and Type
Method
Description
`void`
Enhancer.`generateClass(ClassVisitor v)`
`void`
InterfaceMaker.`generateClass(ClassVisitor v)`
`void`
Mixin.Generator.`generateClass(ClassVisitor v)`

## Uses of ClassVisitor in org.springframework.cglib.reflect

Methods in org.springframework.cglib.reflect with parameters of type ClassVisitor
Modifier and Type
Method
Description
`void`
ConstructorDelegate.Generator.`generateClass(ClassVisitor v)`
`void`
FastClass.Generator.`generateClass(ClassVisitor v)`
`void`
MethodDelegate.Generator.`generateClass(ClassVisitor v)`
`void`
MulticastDelegate.Generator.`generateClass(ClassVisitor cv)`

## Uses of ClassVisitor in org.springframework.cglib.transform

Subclasses of ClassVisitor in org.springframework.cglib.transform
Modifier and Type
Class
Description
`class`
`AbstractClassFilterTransformer`
`class`
`AbstractClassTransformer`
`class`
`ClassEmitterTransformer`
`class`
`ClassFilterTransformer`
`class`
`ClassTransformerChain`
`class`
`ClassTransformerTee`
`class`
`ClassVisitorTee`
`class`
`MethodFilterTransformer`
Methods in org.springframework.cglib.transform with parameters of type ClassVisitor
Modifier and Type
Method
Description
`void`
ClassReaderGenerator.`generateClass(ClassVisitor v)`
`void`
TransformingClassGenerator.`generateClass(ClassVisitor v)`
`void`
AbstractClassFilterTransformer.`setTarget(ClassVisitor target)`
`void`
AbstractClassTransformer.`setTarget(ClassVisitor target)`
`void`
ClassTransformerChain.`setTarget(ClassVisitor v)`
`void`
ClassTransformerTee.`setTarget(ClassVisitor target)`
`void`
MethodFilterTransformer.`setTarget(ClassVisitor target)`
Constructors in org.springframework.cglib.transform with parameters of type ClassVisitor
Modifier
Constructor
Description
``
`ClassTransformerTee(ClassVisitor branch)`
``
`ClassVisitorTee(ClassVisitor cv1, ClassVisitor cv2)`

## Uses of ClassVisitor in org.springframework.cglib.transform.impl

Subclasses of ClassVisitor in org.springframework.cglib.transform.impl
Modifier and Type
Class
Description
`class`
`AccessFieldTransformer`
`class`
`AddDelegateTransformer`
`class`
`AddInitTransformer`
`class`
`AddPropertyTransformer`
`class`
`AddStaticInitTransformer`
`class`
`FieldProviderTransformer`
`class`
`InterceptFieldTransformer`
`class`
`UndeclaredThrowableTransformer`

## Uses of ClassVisitor in org.springframework.cglib.util

Methods in org.springframework.cglib.util with parameters of type ClassVisitor
Modifier and Type
Method
Description
`void`
ParallelSorter.Generator.`generateClass(ClassVisitor v)`
`void`
StringSwitcher.Generator.`generateClass(ClassVisitor v)`